# Generated from trln-chosen-rails-1.8.7.gem by gem2rpm -*- rpm-spec -*-
%global gem_name trln-chosen-rails

Name: rubygem-%{gem_name}
Version: 1.8.7
Release: 1%{?dist}
Summary: Integrate Chosen javascript library with Rails asset pipeline
License: MIT
URL: https://github.com/trln/chosen-rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rails) >= 3.0
# BuildRequires: rubygem(thor) >= 0.14
BuildArch: noarch

%description
Chosen is a javascript library of select box enhancer for jQuery and Protoype.
This gem integrates Chosen with Rails asset pipeline for ease of use.  This
version removes the dependency on sass.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%{gem_instdir}/vendor
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/trln-chosen-rails.gemspec

%changelog
* Wed Aug 25 2021 mockbuilder - 1.8.7-1
- Initial package
